
<?php
include '../../connect.php';
session_start();

$ic = $_SESSION["kadPengenalan"];
$tempahanID = $_GET['tempahanID'];

$masaDari = $_POST['masaDari'];
$masaHingga = $_POST['masaHingga'];
$kelulusan= $_POST['kelulusan'];
$catatan =strtoupper($_POST['catatan']);
$kenderaan= $_POST['kenderaan'];
$pemandu =$_POST['pemandu'];

$catatanNew = mysqli_real_escape_string($conn,$catatan);

date_default_timezone_set("Asia/Kuala_Lumpur");			
$date=date('Y-m-d');
$time=date('H:i:sa');

	if($kelulusan =="")
	{
		mysqli_commit($conn);
		echo "<script>alert('Sila lengkapkan maklumat. ');";
		echo "window.location.href = '../ubahsuaiKelulusanKenderaan.php?tempahanID=$tempahanID';</script>";
		exit;
		
	}
	else
	{
		if($catatan=="")
		{
			if($kenderaan =="" && $pemandu=="")
			{
				$query="UPDATE tempahan_kenderaan SET masaDari='$masaDari', masaHingga='$masaHingga', status='$kelulusan', kenderaanID='', pemanduID='',catatan='' WHERE tempahanID='$tempahanID' ";
				$strQuery = mysqli_query($conn,$query);
				
				if($strQuery) 
					{
						$q4="INSERT INTO audit_trail(kad_pengenalan,tarikh,masa,operasi,catatan)
								VALUES ('$ic','$date','$time','Kelulusan','Permohonan.".$kelulusan."')";
						$strQuery1 = mysqli_query($conn,$q4);
						
						if($strQuery1)
						{								
							echo "<script>window.location.href = '../../mainMenu.php';</script>";
							exit;
						}
						else{
							
							echo 'SQL error: '. mysqli_error($conn);
							
						}
						
					}
					else
					{
						
						echo 'MySQL Error: ' . mysqli_error($conn);
						exit;
						
					}
			}
			else
			{
				$query="UPDATE tempahan_kenderaan SET masaDari='$masaDari', masaHingga='$masaHingga', status='$kelulusan', kenderaanID='$kenderaan', pemanduID='$pemandu',catatan='' WHERE tempahanID='$tempahanID' ";
				$strQuery = mysqli_query($conn,$query);
				
				if($strQuery) 
					{
						$q4="INSERT INTO audit_trail(kad_pengenalan,tarikh,masa,operasi,catatan)
								VALUES ('$ic','$date','$time','Kelulusan','Permohonan.".$kelulusan."')";
						$strQuery1 = mysqli_query($conn,$q4);
						
						if($strQuery1)
						{								
							echo "<script>window.location.href = '../../mainMenu.php';</script>";
							exit;
						}
						else{
							
							echo 'SQL error: '. mysqli_error($conn);
							
						}
						
					}
					else
					{
						
						echo 'MySQL Error: ' . mysqli_error($conn);
						exit;
						
					}
			}
			

		}
		else
		{
			if($kenderaan =="" && $pemandu=="")
			{
				$query="UPDATE tempahan_kenderaan SET masaDari='$masaDari', masaHingga='$masaHingga', status='$kelulusan', catatan='$catatanNew', kenderaanID='', pemanduID=''  WHERE tempahanID='$tempahanID' ";
				$strQuery = mysqli_query($conn,$query);
				
					if($strQuery) 
					{
						$q4="INSERT INTO audit_trail(kad_pengenalan,tarikh,masa,operasi,catatan)
								VALUES ('$ic','$date','$time','Kelulusan','Permohonan kenderaan ".$kelulusan."')";
						$strQuery1 = mysqli_query($conn,$q4);
						
						if($strQuery1)
						{								
							echo "<script>window.location.href = '../../mainMenu.php';</script>";
							exit;
						}
						else{
							
						}
						
					}
					else
					{
						/*mysqli_commit($conn);
						echo "<script>alert('Sila lengkapkan maklumat pendaftaran. ');";
						echo "window.location.href = '../ubahsuaiKelulusanKenderaan.php?tempahanID=$tempahanID';</script>";
						exit;*/
						echo 'MySQL Error: ' . mysqli_error($conn);
						exit;
						
					}
			}
			else
			{
				$query="UPDATE tempahan_kenderaan SET masaDari='$masaDari', masaHingga='$masaHingga', status='$kelulusan', catatan='$catatanNew', kenderaanID='$kenderaan', pemanduID='$pemandu' WHERE tempahanID='$tempahanID' ";
				$strQuery = mysqli_query($conn,$query);
				
					if($strQuery) 
					{
						$q4="INSERT INTO audit_trail(kad_pengenalan,tarikh,masa,operasi,catatan)
								VALUES ('$ic','$date','$time','Kelulusan','Permohonan kenderaan ".$kelulusan."')";
						$strQuery1 = mysqli_query($conn,$q4);
						
						if($strQuery1)
						{								
							echo "<script>window.location.href = '../../mainMenu.php';</script>";
							exit;
						}
						else{
							
						}
						
					}
					else
					{
						/*mysqli_commit($conn);
						echo "<script>alert('Sila lengkapkan maklumat pendaftaran. ');";
						echo "window.location.href = '../ubahsuaiKelulusanKenderaan.php?tempahanID=$tempahanID';</script>";
						exit;*/
						echo 'MySQL Error: ' . mysqli_error($conn);
						exit;
						
					}
			}	
		}
		
	}
?>

